# Class InternalRewriteMap

java.lang.Object
org.apache.catalina.valves.rewrite.InternalRewriteMap

public class InternalRewriteMap extends Object
Utility class providing built-in rewrite map implementations.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InternalRewriteMap.Escape`
RewriteMap that URL-encodes strings.
`static class`
`InternalRewriteMap.LowerCase`
RewriteMap that converts strings to lower case.
`static class`
`InternalRewriteMap.Unescape`
RewriteMap that URL-decodes strings.
`static class`
`InternalRewriteMap.UpperCase`
RewriteMap that converts strings to upper case.

## Method Summary

Modifier and Type
Method
Description
`static RewriteMap`
`toMap(String name)`
Get a built-in RewriteMap by name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toMap

public static RewriteMap toMap(String name)
Get a built-in RewriteMap by name.

Parameters:
  `name` - the map name (toupper, tolower, escape, unescape)
Returns:
  the RewriteMap implementation, or `null` if not found